function objekt = atisareader(filename)
%DATENTYP Konstruktor fuer die Klasse auto
% $Id: atisareader.m 6 2004-12-13 12:28:39Z maik $
if(nargin~=1)
    error('dem Konstruktor muss der Dateiname bergeben werden');
end

if(exist(filename)~=2)
    error('Datei konnte nicht gefunden werden');
end

% Definition der Datenstruktur
objekt.filename=filename;

[ainf, dinf, minf, kinf, manz]=loadatisa(filename,2,1,2);
objekt.channels=ainf(2)+1;
objekt.samplerate=ainf(3);
objekt.samplesperchannel=ainf(4);


% Klassenzugehoerigkeit
objekt = class(objekt, 'atisareader');  


