function paraout=adjustparameters(parain,samplingrate)
% Passt die Parameter an die Samplingrate an
% Parameter:
%       parain = Struktur mit den Parameter
%       samplingate
% Ausgabe:
%       parain = Struktur mit angepaten  Parametern
%           sakkade = Liste aller erkannten Sakkaden
%           blinks = Liste aller erkannten Blinks
%
% $Id: adjustparameters.m 6 2004-12-13 12:28:39Z maik $
paraout=parain; % 2Do ...
paraout.sfreq=samplingrate;
norm=1000/samplingrate; % konfig bezieht sich auf 1000Hz

for i=1:length(paraout.filter1)
   if(strcmp(paraout.filter1(i).type,'notch') || ...
      strcmp(paraout.filter1(i).type,'lowpass') || ...
      strcmp(paraout.filter1(i).type,'highpass'))
       paraout.filter1(i).para=paraout.filter1(i).para/(samplingrate/2);
   end
   
   if(strcmp(paraout.filter1(i).type,'median'))                     
       paraout.filter1(i).para=round(paraout.filter1(i).para/norm);
   end
   
   if(strcmp(paraout.filter1(i).type,'mean'))       
       paraout.filter1(i).para=round(paraout.filter1(i).para/norm);
   end     

   

   
end

for i=1:length(paraout.filter2)
           
   if(strcmp(paraout.filter2(i).type,'notch') || ...
      strcmp(paraout.filter2(i).type,'lowpass') || ...
      strcmp(paraout.filter2(i).type,'highpass'))         
       paraout.filter2(i).para=paraout.filter2(i).para/(samplingrate/2);       
   end
   
   if(strcmp(paraout.filter2(i).type,'median'))       
       paraout.filter2(i).para=round(paraout.filter2(i).para/norm);
   end
   
   if(strcmp(paraout.filter2(i).type,'mean'))          
       paraout.filter2(i).para=round(paraout.filter2(i).para/norm);
   end     
end

                                
%==================================    
%=  Parameter fr die Grobsuche   =    
%==================================  
paraout.grobsuche.plateaufenster=round(paraout.grobsuche.plateaufenster/norm);
paraout.grobsuche.blinksuchfenster=round(paraout.grobsuche.blinksuchfenster/norm);
paraout.grobsuche.artefaktlaenge=round(paraout.grobsuche.artefaktlaenge/norm);



%==================================    
%=  paraout fr Plausibilitt   =    
%==================================                                                 
paraout.plausi.vereinigung=round(paraout.plausi.vereinigung/norm);
paraout.plausi.min_dauer=round(paraout.plausi.min_dauer/norm);
paraout.plausi.plateaudauer=round(paraout.plausi.plateaudauer/norm);


