function objekt = matreader(filename)
%DATENTYP Konstruktor fuer die Klasse auto
% $Id: matreader.m 6 2004-12-13 12:28:39Z maik $
if(nargin~=1)
    error('dem Konstruktor muss der Dateiname bergeben werden');
end

if(exist(filename)~=2)
    error('Datei konnte nicht gefunden werden');
end

% Definition der Datenstruktur
objekt.filename=filename;
objekt.data=double(loadmat(filename));
d=size(objekt.data);
objekt.samplesperchannel=d(1);
objekt.channels=d(2);
objekt.samplerate=round(1000/mean(diff(objekt.data(1:1000,1))));%RS: am 7.6. gendert, gibt realistischere WErte


% Klassenzugehoerigkeit
objekt = class(objekt, 'matreader');  


