function objekt = vpdreader(filename)
%DATENTYP Konstruktor fuer die Klasse auto
% $Id: idatreader.m 6 2004-12-13 12:28:39Z maik $
if(nargin~=1)
    error('dem Konstruktor muss der Dateiname bergeben werden');
end

if(exist(filename)~=2)
    error('Datei konnte nicht gefunden werden');
end

if ~libisloaded('vpdreader')
	loadlibrary('vpdreader.dll','vpdreader.h')
end


% Definition der Datenstruktur
objekt.filename=filename;
info = calllib('vpdreader','getFileInfo',filename);

objekt.samplesperchannel=info(3);
objekt.channels=info(2);
objekt.samplerate=info(1);

% Klassenzugehoerigkeit
objekt = class(objekt, 'vpdreader');  



