function parameter=eichen(inputdata,parain)
% $Id: eichen.m 6 2004-12-13 12:28:39Z maik $
parameter=[];
 
 winkel=uigetangle();  %ermittelt die Augenwinkel
 if length(winkel) ==1 
     return;
 end
 
 %xwert=schritt2(inputdata);   %ermittelt zugehrige AD Werte aus X Kanal
 xwert=uigetdouble(inputdata,2,'Step 2',{'EOG Calibration','Mark horizontal reference saccade'}); 
 if length(xwert) ==1 
     return;
 end
  
 
 %ywert=schritt3(inputdata);   %ermittelt zugehrige AD Werte aus Y Kanal
 ywert=uigetdouble(inputdata,3,'Step 3',{'EOG Calibration','Mark vertical reference saccade'}); 
 if length(ywert) ==1 
     return;
 end
 
 
parameter=parain; 

parameter.reizx=winkel(1);
parameter.reizy=winkel(2);

%(Winkel / Spannungdiff) * y  = x (Winkel) 
parameter.wfakt.x=winkel(1) / (xwert(2)-xwert(1));
parameter.wfakt.y=winkel(2) / (ywert(2)-ywert(1));  
 
% Noise bestimmen
%nx=schritt4(inputdata,parameter);   %noise bestimmung x
nx=uigetnoise([inputdata(:,1) ...
    inputdata(:,2)*parameter.wfakt.x],'Step 4',...
    {'EOG Calibration','Get horizontal signal noise'});
if length(nx) ==1 
 parameter=[];
 return;
end


%ny=schritt5(inputdata,parameter);   %noise bestimmung y
ny=uigetnoise([inputdata(:,1) ...
    inputdata(:,3)*parameter.wfakt.y],'Step 5',...
    {'EOG Calibration','Get vertical signal noise'});
if length(ny) ==1 
 parameter=[];
 return;
end
   
parameter.grobsuche.x.schwellwert=nx(1);
parameter.grobsuche.y.schwellwert=ny(1);


% Referenzblink bestimmen
parameter.blinkamp=uigetblink(inputdata,parameter);
parameter.blinkamp=parameter.blinkamp*parameter.blinkamprage/100;

if(isempty(parameter.blinkamp))
    parameter.blinkamp=0;    
end



