function result=leseartefakt(sig1,sig2,pos,parameter)
% $Id: leseartefakt.m 6 2004-12-13 12:28:39Z maik $
%sucht nach dem Ende eines Artefakts

%--------------------------------------------------------------------------
%       artefakthandler liesst solange Wertetupel ein, bis ueber einen
%       Zeitraum von n msec die Amplitudendifferenz kleiner als die
%       Rauschamplitude ist.
%--------------------------------------------------------------------------

count=parameter.artefaktlaenge;

position=pos;

maxpos=length(sig1);
while(count > 0)
    position=position+1;
    if(position+parameter.plateaufenster>maxpos) % sind wir am Ende der Aufzeichnung ?
        result=maxpos;
        return;
    end
    
    % bestimme die verschiebung ...
    
    dx=abs(sig1(position+parameter.plateaufenster)-sig1(position)); 
    dy=abs(sig2(position+parameter.plateaufenster)-sig2(position));            
    if(dx < parameter.x.schwellwert) &  ...
            (dy < parameter.y.schwellwert)
        count=count-1;
    else
        %wurde der Schwellwert berschritten, beginne von vorn.
        count=parameter.artefaktlaenge; 
    end
end
result=position;