function parameter=loadIDATParam(filename,parain)
% $Id: loadIDATParam.m 6 2004-12-13 12:28:39Z maik $
    parameter=[];   
    xnoise=[];
    ynoise=[];
    wfaktx=[];
    wfakty=[];
    fid=fopen(filename,'r');
    
    lnr=1;
    while(true)
        l=fgetl(fid);
        if(l==-1) break; end;
            
        switch(lnr)
            case 2 % Studie
                kextension.studie=l;
            case 3 % VP
                kextension.vp=l;
            case 4 % Register
                kextension.register=l;
                        
            case 7 % Reiz X flag
		% nothing ...
            
                                
            case 8 % Reiz X
                xreiz=str2double(l);
            
            case 9 % Reiz Y
                yreiz=str2double(l);
                
            case 12 %Xnoise
                xnoise=str2double(l);
                
            case 13 %Ynoise
                ynoise=str2double(l);
               
            case 41 %wfakt.x
                wfaktx=str2double(l);
                
            case 42 %wfakt.y
                wfakty=str2double(l);                
        end                        
        lnr=lnr+1;        
    end
    fclose(fid);
    
    
    %sind alle Daten eingelesen, (geht auch einfacher ber lnr :o))
    if(isempty(xnoise) || isempty(ynoise) || ...
            isempty(wfaktx) || isempty(wfakty))
       return; 
    end
     

    if(isnan(xnoise) ||isnan(ynoise) || ...
            isnan(wfaktx) ||isnan(wfaktx))
        return;
    end

    parameter=parain;
    parameter.grobsuche.x.schwellwert=xnoise*wfaktx;
    parameter.grobsuche.y.schwellwert=ynoise*wfakty;    
    parameter.wfakt.x=wfaktx;
    parameter.wfakt.y=wfakty;
    
    % Knigsteinerweiterung, Reisauswertung, Name, ...
%     parameter.reizauswertung.xreizflg=true;
%     parameter.reizauswertung.yreizflg=true;
    parameter.reizx=xreiz;
    parameter.reizy=yreiz;    
    