function  parameter = setupdefaultparameter( )
% $Id: setupdefaultparameter.m 15 2005-03-10 12:53:40Z maik $
% gibt Standart Parameter zurck
parameter=[];

%***********************************************************************
%* stelle Parameter ein, diese beziehen sich auf eine Samplingrate von *
%* 1000 Hz und werden gegebenfalls an die tatschliche angepasst.      *
%***********************************************************************

    %=======================================================
    %= Parameter fr die Filterung                         =
    %=  s1 = Filterparameter des orginal Signals           =
    %=       fr die Feinauswertung                        =
    %=                                                     =
    %=  s2 = Filterparameter des gegltteten Signals       =                  
    %=       fr die Grobauswertung                        =
    %=======================================================               

     %parameter.filteralgo=@unifilter_fir;
     parameter.filteralgo=@unifilter_iir;
     parameter.layoutgenerator=@createdefaultlayout;
    
    %==================================    
    %=  s1 Feinsuche %RS: blaues Signal
    %==================================
     parameter.filter1(1).type='lowpass';  % Art des eingesetzten Filter (z.Z. mean,median,notch,lowpass,highpass)
     parameter.filter1(1).para=48;        %  lowpass filter 48 Hz (Butterworth) %RS: notch brauch Feld, start-stop-frequenz
    
    %==================================    
    %=  s2 Grobsuche %RS: rotes Signal
    %==================================                                                      
      parameter.filter2(1).type='lowpass';  % Art des eingesetzten Filter (z.Z. mean,median,notch,lowpass,highpass)
      parameter.filter2(1).para=12;        % lowpass filter 8 Hz (Butterworth) %RS: am 10.3.05 auf 12 gendert
      %parameter.filter2(1).type='none';

                                
    %==================================    
    %=  Parameter fr die Grobsuche   =    
    %==================================                                                 
    parameter.grobsuche.plateaufenster=60;%RS: von 100 auf 60 gesetzt
    
    
    parameter.grobsuche.x.schwellwert=18;
    parameter.grobsuche.x.maxspeedlowpass=2500; % in WG/s
        
    parameter.grobsuche.y.schwellwert=30;
    parameter.grobsuche.y.maxspeedlowpass=2500; % in WG/s
    
    
    parameter.grobsuche.blinksuchfenster=20; % ms Blinksuche
    parameter.grobsuche.artefaktlaenge=100; %ms nach einem Artefakt


    %==================================    
    %=  Parameter fr die Feinsuche   =    
    %==================================                                                     
    parameter.feinsuche.x.schwellwert=40;  % in Winkelgrad/sec %RS&NG: am 2.3.05 auf 40 gesetzt
    parameter.feinsuche.y.schwellwert=40; % in Winkelgrad/sec %RS&NG: am 2.3.05 auf 40 gesetzt

    %==================================    
    %=  Parameter fr Plausibilitt   =    
    %==================================                                                 
    parameter.plausi.vereinigung=3;    %RS: am 13.1. auf 3 gendert vereinigt sakkaden die weniger als 24 ms entfernt sind
    parameter.plausi.min_dauer=12;      % sakkaden min. Dauer sind 10 ms
    parameter.plausi.plateaudauer=10;   % 30 ms nach den Sakkadenende mu das Plateau verschoben bleiben %RS: 31.1 auf 10 ges.
    
    
    
    %==================================    
    %=  Parameter fr Geschwindigkeit =    
    %==================================                                                     
    parameter.wfakt.x=0.045;          %Faktor zur Umrechnung AD - Werte in Winkelgrad x - Kanal
    parameter.wfakt.y=0.045;          %Faktor zur Umrechnung AD - Werte in Winkelgrad y - Kanal     
    
    
    
    %==================================    
    %=  ReferenzBlink                 =    
    %==================================                                                         
    parameter.blinksoftening=0.5;  % Schwellwertaufweichung fr Blinkerkennung
    parameter.blinkamp=8;
    parameter.blinkamprage=50;  %Aufweichung in Prozent
    
    %==================================    
    %=  Reizerkennung                 =    
    %==================================                
    parameter.reizauswertung.xreiz=1024;
    parameter.reizauswertung.yreiz=1024;
    parameter.reizauswertung.xreizflg=false;
    parameter.reizauswertung.yreizflg=false;
    