function f=txt2lastpara(varargin)

% Trgt Werte aus lastpara.txt (erzeugt mit lastpara2txt)
% in aktuelle lastpara.config ein
% Aufruf: txt2lastpara() : Dateiauswahl-Dialogbox
% Aufruf: txt2lastpara(DATEI)
%                    DATEI=Datei mit Pfad in Hochkommata
% txt2lastpara muss im gleichen Ordner sein wie der Ordner 'private' von
% eogui

if (nargin == 0 | ~isstr(varargin{1}))
        [fname,pname] = uigetfile({'*.txt', 'lastpara.config als txt'},'Open lastpara.txt');
        Input=[pname fname];
        if ~fname
            return
        end;
elseif isstr(varargin{1})
    Input=varargin{1};    
end
disp(['Geladen: ' Input]);
%Fehlerquelle abfangen:
[s, w] = dos(['dir /s /b ' 'lastpara.config']); %s gibt nur den Status an
colon= strfind(w,':'); %sucht alle Doppelpunkte in Pfadangeben: jedesmal ein neuer Pfad
if size(colon,2)>1 %falls in colon mehr als 1 Eintrag...
    disp('Abbruch: mehr als 1 lastpara.config im MATLAB-Suchpfad:')
    return;
end;

try %hier jetzt lastpara.txt einlesen.
 [f1type,f1para,f2type,f2para,plateau,noiseX,Xmxsplp,noiseY,Ymxsplp,window,...
 artefakt,speedX,speedY,plausi1,plausi2,plausi3,AD2WGX,AD2WGY,B_soften,B_minamp,...
 B_range,Xreiz,Yreiz,Xreiz2,Yreiz2,reizX3,reizY3]=textread(Input,['%s %f %s %f %f %f %f %f %f %f'... %ersten 10 Werte
 '%f %f %f %f %f %f %f %f %f %f' '%f %f %f %f %f %f %f'],1,'headerlines',1);
     
catch
    disp('*******************E*R*R*O*R*****************************')
    disp('****Nur mit lastpara2txt umgewandelte txt-Datei einlesen****')
    disp('****Datei muss Werte genau im abgelegten Format enthalten****')
    return
end

parameter=[];%laden hat geklappt...jetzt Werte rberschreiben
 parameter.filter1.type=f1type{1}; %um String zurckzukriegen, sonst wird parameter.filter1.type cell
 parameter.filter1.para=f1para;
 parameter.filter2.type=f2type{1};
 parameter.filter2.para=f2para;
 parameter.grobsuche.plateaufenster=plateau;
 parameter.grobsuche.x.schwellwert=noiseX;
 parameter.grobsuche.x.maxspeedlowpass=Xmxsplp;
 parameter.grobsuche.y.schwellwert=noiseY;
 parameter.grobsuche.y.maxspeedlowpass=Ymxsplp;
 parameter.grobsuche.blinksuchfenster=window;
 parameter.grobsuche.artefaktlaenge=artefakt; %11.Wert
 parameter.feinsuche.x.schwellwert=speedX;
 parameter.feinsuche.y.schwellwert=speedY;
 parameter.plausi.vereinigung=plausi1;
 parameter.plausi.min_dauer=plausi2;
 parameter.plausi.plateaudauer=plausi3;
 parameter.wfakt.x=AD2WGX;
 parameter.wfakt.y=AD2WGY;
 parameter.blinksoftening=B_soften;
 parameter.blinkamp=B_minamp;
 parameter.blinkamprage=B_range; %21. Wert %Rechtschreibfehler im Quellcode!
 parameter.reizauswertung.xreiz=Xreiz;
 parameter.reizauswertung.yreiz=Yreiz;
 parameter.reizauswertung.xreizflg=Xreiz2;
 parameter.reizauswertung.yreizflg=Yreiz2;
 parameter.reizx=reizX3;
 parameter.reizy=reizY3;
 
 %Aus setupdefaultparameter.m
 parameter.filteralgo=@unifilter_iir;
 parameter.layoutgenerator=@createdefaultlayout;
 
 save('lastpara.config','parameter','-mat'); %sollte reichen...
 disp(['Geschrieben: ' w])